%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name: libxcb
Summary: X protocol C-language Binding Library
Version: 1.7
Release: %mkrel 1
Group: System/X11
License: MIT
URL: http://xcb.freedesktop.org
Source0: http://xcb.freedesktop.org/dist/libxcb-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

# because of xcb-proto-1.5 (at least)
BuildRequires: x11-proto-devel >= 7.4-17mdv

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libpthread-stubs
BuildRequires: libxslt-proc
BuildRequires: libxdmcp-devel
BuildRequires: libxau-devel
BuildRequires: python-celementtree
%if !%bootstrap
BuildRequires: doxygen
BuildRequires: graphviz
%endif

%description
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%define major 1
%define libxcb %mklibname xcb %major
%define libdev %mklibname xcb -d
%define libdevst %mklibname xcb -d -s

%define compositemajor 0
%define damagemajor 0
%define dpmsmajor 0
%define dri2major 0
%define glxmajor 0
%define randrmajor 0
%define recordmajor 0
%define rendermajor 0
%define resmajor 0
%define screensavermajor 0
%define shapemajor 0
%define shmmajor 0
%define syncmajor 0
%define xeviemajor 0
%define xf86drimajor 0
%define xfixesmajor 0
%define xineramamajor 0
%define xprintmajor 0
%define xtestmajor 0
%define xvmajor 0
%define xvmcmajor 0

%define libxcb_composite   %mklibname xcb-composite   %compositemajor
%define libxcb_damage      %mklibname xcb-damage      %damagemajor
%define libxcb_dpms        %mklibname xcb-dpms        %dpmsmajor
%define libxcb_dri2        %mklibname xcb-dri2_       %dri2major
%define libxcb_glx         %mklibname xcb-glx         %glxmajor
%define libxcb_randr       %mklibname xcb-randr       %randrmajor
%define libxcb_record      %mklibname xcb-record      %recordmajor
%define libxcb_render      %mklibname xcb-render      %rendermajor
%define libxcb_res         %mklibname xcb-res         %resmajor
%define libxcb_screensaver %mklibname xcb-screensaver %screensavermajor
%define libxcb_shape       %mklibname xcb-shape       %shapemajor
%define libxcb_shm         %mklibname xcb-shm         %shmmajor
%define libxcb_sync        %mklibname xcb-sync        %syncmajor
%define libxcb_xevie       %mklibname xcb-xevie       %xeviemajor
%define libxcb_xf86dri     %mklibname xcb-xf86dri     %xf86drimajor
%define libxcb_xfixes      %mklibname xcb-xfixes      %xfixesmajor
%define libxcb_xinerama    %mklibname xcb-xinerama    %xineramamajor
%define libxcb_xprint      %mklibname xcb-xprint      %xprintmajor
%define libxcb_xtest       %mklibname xcb-xtest       %xtestmajor
%define libxcb_xv          %mklibname xcb-xv          %xvmajor
%define libxcb_xvmc        %mklibname xcb-xvmc        %xvmcmajor
# Need obsoletes
%define libxcb_util0       %mklibname xcb-util        0
%define libxcb_util1       %mklibname xcb-util        1
%define libxcb_randr1      %mklibname xcb-randr       1

#-----------------------------------------------------------

%package -n %{libxcb}
Summary: X protocol C-language Binding Library
Group: System/X11
Provides: %{name} = %{version}
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}
# Bug #53733: libxcb_randr1 was wrongly obsoleting old %{libxcb}s
Conflicts: %{libxcb_randr1} < 1.4
Obsoletes: %{libxcb_randr1} < 1.4

%description -n %{libxcb}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%files -n %{libxcb}
%defattr(-,root,root)
%{_libdir}/libxcb.so.%{major}*

#-----------------------------------------------------------

%package -n %{libdev}
Summary: Development files for %{name}
Group: Development/X11
Requires: x11-proto-devel >= 1.2.0
Provides: xcb-devel = %{version}-%{release}
Provides: libxcb-devel = %{version}-%{release}
Obsoletes: %{libxcb}-devel

Requires: %{libxcb} = %{version}
Requires: %{libxcb_composite} = %{version}
Requires: %{libxcb_damage} = %{version}
Requires: %{libxcb_dpms} = %{version}
Requires: %{libxcb_dri2} = %{version}
Requires: %{libxcb_glx} = %{version}
Requires: %{libxcb_randr} = %{version}
Requires: %{libxcb_record} = %{version}
Requires: %{libxcb_render} = %{version}
Requires: %{libxcb_res} = %{version}
Requires: %{libxcb_screensaver} = %{version}
Requires: %{libxcb_shape} = %{version}
Requires: %{libxcb_shm} = %{version}
Requires: %{libxcb_sync} = %{version}
Requires: %{libxcb_xevie} = %{version}
Requires: %{libxcb_xf86dri} = %{version}
Requires: %{libxcb_xfixes} = %{version}
Requires: %{libxcb_xinerama} = %{version}
Requires: %{libxcb_xprint} = %{version}
Requires: %{libxcb_xtest} = %{version}
Requires: %{libxcb_xv} = %{version}
Requires: %{libxcb_xvmc} = %{version}

# gw this isn't picked up by the automatic pkgconfig deps, but without it,
# pkg-config --libs xcb will fail
Requires: libpthread-stubs


%description -n %{libdev}
Development files for %{name}

%files -n %{libdev}
%defattr(-,root,root)
%{_includedir}/xcb/*.h
%{_libdir}/libxcb*.la
%{_libdir}/libxcb*.so
%{_libdir}/pkgconfig/xcb*.pc

#-----------------------------------------------------------

%package -n %{libdevst}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libdev} = %{version}
Obsoletes: %{libxcb}-static-devel
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}
Provides: libxcb-static-devel = %version-%release

%description -n %{libdevst}
Static development files for %{name}

%files -n %{libdevst}
%defattr(-,root,root)
%{_libdir}/libxcb*.a

#-----------------------------------------------------------

%package doc
Summary: Documentation for %{name}
Group: Development/X11

%description doc
Documentation for %{name}

%files doc
%defattr(-,root,root)
%{_docdir}/libxcb

#-----------------------------------------------------------

%package -n %{libxcb_composite}
Summary: X protocol C-language Binding Library (composite extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_composite}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the composite extension.

%files -n %{libxcb_composite}
%defattr(-,root,root)
%{_libdir}/libxcb-composite.so.%{compositemajor}*

#-----------------------------------------------------------

%package -n %{libxcb_damage}
Summary: X protocol C-language Binding Library (damage extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_damage}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the damage extension.

%files -n %{libxcb_damage}
%defattr(-,root,root)
%{_libdir}/libxcb-damage.so.%{damagemajor}*

#-----------------------------------------------------------

%package -n %{libxcb_dpms}
Summary: X protocol C-language Binding Library (dpms extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_dpms}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the dpms extension.

%files -n %{libxcb_dpms}
%defattr(-,root,root)
%{_libdir}/libxcb-dpms.so.%{dpmsmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_dri2}
Summary: X protocol C-language Binding Library (dri2 extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_dri2}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the dri2 extension.

%files -n %{libxcb_dri2}
%defattr(-,root,root)
%{_libdir}/libxcb-dri2.so.%{dri2major}*

#-----------------------------------------------------------

%package -n %{libxcb_glx}
Summary: X protocol C-language Binding Library (glx extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_glx}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the glx extension.

%files -n %{libxcb_glx}
%defattr(-,root,root)
%{_libdir}/libxcb-glx.so.%{glxmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_randr}
Summary: X protocol C-language Binding Library (randr extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
# Bug #53733 explains why libxcb-randr0 obsoletes libxcb-randr1 < 1.4
Conflicts: %{libxcb_randr1} < 1.4
Obsoletes: %{libxcb_randr1} < 1.4
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_randr}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the randr extension.

%files -n %{libxcb_randr}
%defattr(-,root,root)
%{_libdir}/libxcb-randr.so.%{randrmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_record}
Summary: X protocol C-language Binding Library (record extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_record}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the record extension.

%files -n %{libxcb_record}
%defattr(-,root,root)
%{_libdir}/libxcb-record.so.%{recordmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_render}
Summary: X protocol C-language Binding Library (render extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_render}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the render extension.

%files -n %{libxcb_render}
%defattr(-,root,root)
%{_libdir}/libxcb-render.so.%{rendermajor}*

#-----------------------------------------------------------

%package -n %{libxcb_res}
Summary: X protocol C-language Binding Library (res extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_res}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the res extension.

%files -n %{libxcb_res}
%defattr(-,root,root)
%{_libdir}/libxcb-res.so.%{resmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_screensaver}
Summary: X protocol C-language Binding Library (screensaver extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_screensaver}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the screensaver extension.

%files -n %{libxcb_screensaver}
%defattr(-,root,root)
%{_libdir}/libxcb-screensaver.so.%{screensavermajor}*

#-----------------------------------------------------------

%package -n %{libxcb_shape}
Summary: X protocol C-language Binding Library (shape extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_shape}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the shape extension.

%files -n %{libxcb_shape}
%defattr(-,root,root)
%{_libdir}/libxcb-shape.so.%{shapemajor}*

#-----------------------------------------------------------

%package -n %{libxcb_shm}
Summary: X protocol C-language Binding Library (shm extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_shm}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the shm extension.

%files -n %{libxcb_shm}
%defattr(-,root,root)
%{_libdir}/libxcb-shm.so.%{shmmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_sync}
Summary: X protocol C-language Binding Library (sync extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_sync}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the sync extension.

%files -n %{libxcb_sync}
%defattr(-,root,root)
%{_libdir}/libxcb-sync.so.%{syncmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xevie}
Summary: X protocol C-language Binding Library (xevie extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xevie}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xevie extension.

%files -n %{libxcb_xevie}
%defattr(-,root,root)
%{_libdir}/libxcb-xevie.so.%{xeviemajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xf86dri}
Summary: X protocol C-language Binding Library (xf86dri extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xf86dri}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xf86dri extension.

%files -n %{libxcb_xf86dri}
%defattr(-,root,root)
%{_libdir}/libxcb-xf86dri.so.%{xf86drimajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xfixes}
Summary: X protocol C-language Binding Library (xfixes extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xfixes}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xfixes extension.

%files -n %{libxcb_xfixes}
%defattr(-,root,root)
%{_libdir}/libxcb-xfixes.so.%{xfixesmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xinerama}
Summary: X protocol C-language Binding Library (xinerama extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xinerama}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xinerama extension.

%files -n %{libxcb_xinerama}
%defattr(-,root,root)
%{_libdir}/libxcb-xinerama.so.%{xineramamajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xprint}
Summary: X protocol C-language Binding Library (xprint extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xprint}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xprint extension.

%files -n %{libxcb_xprint}
%defattr(-,root,root)
%{_libdir}/libxcb-xprint.so.%{xprintmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xtest}
Summary: X protocol C-language Binding Library (xtest extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xtest}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xtest extension.

%files -n %{libxcb_xtest}
%defattr(-,root,root)
%{_libdir}/libxcb-xtest.so.%{xtestmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xv}
Summary: X protocol C-language Binding Library (xv extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xv}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xv extension.

%files -n %{libxcb_xv}
%defattr(-,root,root)
%{_libdir}/libxcb-xv.so.%{xvmajor}*

#-----------------------------------------------------------

%package -n %{libxcb_xvmc}
Summary: X protocol C-language Binding Library (xvmc extension)
Group: System/X11
Conflicts: %{libxcb} <= 1.3-1
Obsoletes: %{libxcb_util0}
Obsoletes: %{libxcb_util1}

%description -n %{libxcb_xvmc}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xvmc extension.

%files -n %{libxcb_xvmc}
%defattr(-,root,root)
%{_libdir}/libxcb-xvmc.so.%{xvmcmajor}*

#-----------------------------------------------------------


%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}



%changelog
* Thu Jan 13 2011 rtp <rtp> 1.7-1.mga1
+ Revision: 16330
- Add missing BR (before, libxau-devel was pull by x11-proto-devel)
- remove old ldconfig scripts
- add bootstrap (to allow building without doxygen & graphviz)
- imported package libxcb


* Mon Aug 16 2010 Thierry Vignaud <tv@mandriva.org> 1.7-1mdv2011.0
+ Revision: 570274
- new release

* Fri Apr 09 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.6-1mdv2010.1
+ Revision: 533530
- New version: 1.6

* Thu Apr 01 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.5-3mdv2010.1
+ Revision: 530742
- move %%{libxcb} files declaration to the correct place
- add doc files to a new "-doc" package instead of hiding them in -static-devel

* Tue Jan 05 2010 Thierry Vignaud <tv@mandriva.org> 1.5-2mdv2010.1
+ Revision: 486385
- move huge useless doc from -devel into -static-devel
  (reduce used space in build chroots)

* Thu Dec 03 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.5-1mdv2010.1
+ Revision: 472858
- New version: 1.5
  Added dri2 package.

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4-4mdv2010.1
+ Revision: 464911
- Devel package should provide libxcb-devel

* Wed Sep 30 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4-3mdv2010.0
+ Revision: 451869
- Conflict/Obsolete libxcb-randr1 (#53733)

* Tue Sep 29 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4-2mdv2010.0
+ Revision: 450915
- don't needlessly call autoreconf, use %%configure2_5x
- revert previous commit, I didn't mean it ;)
- don't needlessly call autoreconf, use %%configure2_5x

* Fri Sep 18 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.4-1mdv2010.0
+ Revision: 444461
- Fix randr major (was not building!)
  Add "graphviz" as BuildRequires (for the "dot" command)

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Fri Jun 05 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3-6mdv2010.0
+ Revision: 383045
- Wrong devel obsoletes for xcb-util

* Fri Jun 05 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3-5mdv2010.0
+ Revision: 383043
- Need obsoletes xcb-util packages

* Thu Jun 04 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3-4mdv2010.0
+ Revision: 382882
- add missing requires for lixcb-render on devel pkg

* Thu Jun 04 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3-3mdv2010.0
+ Revision: 382856
- Obsolete old all-in-one package on splitted library pkgs

* Wed Jun 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3-2mdv2010.0
+ Revision: 382581
- put extension libraries on their own packages

* Wed Jun 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3-1mdv2010.0
+ Revision: 382523
- Update to version 1.3

* Tue Feb 17 2009 Colin Guthrie <cguthrie@mandriva.org> 1.2-1mdv2009.1
+ Revision: 341537
- New version: 1.2

* Sat Dec 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.1.93-1mdv2009.1
+ Revision: 313927
- New version 1.1.93

* Thu Nov 06 2008 Colin Guthrie <cguthrie@mandriva.org> 1.1.92-1mdv2009.1
+ Revision: 300228
- New version: 1.1.92
- Drop sloppy lock patch no longer needed due to new socket handoff system
- Note that as libxcb-xlib.so has been deprecated, overlinked packages will need rebuilding

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 1.1.91-2mdv2009.0
+ Revision: 287514
- fix static devel provides

* Wed Aug 27 2008 Jérôme Soyer <saispo@mandriva.org> 1.1.91-1mdv2009.0
+ Revision: 276505
- Add python-celementtree BR
- Add doxygen BR
- New release

* Thu Aug 21 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1-5mdv2009.0
+ Revision: 274951
- Libraries should not have soname in their devel package

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.1-4mdv2009.0
+ Revision: 264971
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1-3mdv2009.0
+ Revision: 192953
- Provide xcb-devel.
  Closes #37790 (libcxb-devel should provides xcb-devel)

* Wed Feb 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.1-2mdv2008.1
+ Revision: 166978
- Enable sloppy lock per default.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 07 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1mdv2008.1-current
+ Revision: 106782
- new upstream version: 1.1
- build-requires new x11-proto-devel (new xcb-proto)

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 1.0-3mdv2008.0
+ Revision: 18183
- fix previus fix, move dep to the devel package

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2008.0
+ Revision: 18160
- depend on libpthread-stubs


* Wed Feb 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0-1mdv2007.0
+ Revision: 127048
- Adding missing BuildRequires
- adding libxcb to the repository

